Skip to main content

Create Pix Trusted Contact

POST 

/v1/pix/trusted-contacts

Create a new pix trusted contact. This endpoint is used to create a new pix trusted contact for the user.

Request

Header Parameters

    x-transaction-uuid stringrequired

    The transaction ID is a UUID (v4) used to uniquely identify the object that will be created. All objects must have an identifier.

    nonce stringrequired

    The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.

    x-lang string

    Possible values: [pt-BR, en-US]

    Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.

    x-product-uuid string

    UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.

    x-product-target-user-uuid string

    UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.

    x-wallet-uuid string

    Sender Wallet UUID (if empty, your default Wallet UUID will be settled)

Body

required
    name stringrequired

    Pix trusted contact name.

    document stringrequired

    Pix trusted contact CPF or company CNPJ (only numbers)

    person_type stringrequired

    Possible values: [NATURAL_PERSON, LEGAL_PERSON]

    Pix trusted contact person type:

    • NATURAL_PERSON.
    • LEGAL_PERSON.

    branch_number stringrequired

    Pix trusted contact branch number.

    account_number stringrequired

    Pix trusted contact account number.

    account_type stringrequired

    Possible values: [CACC, CASH, CHAR, CISH, COMM, CPAC, LLSV, LOAN, MGLD, MOMA, NREX, ODFT, ONDP, OTHR, SACC, SLRY, SVGS, TAXE, TRAN, TRAS, CC, PG, CD, CG, CI, PP]

    Pix trusted contact account type.

    bank_ispb stringrequired

    Pix trusted contact bank ISPB.

    bank_name stringrequired

    Pix trusted contact bank name.

Responses

Pix trusted contact created.

Schema
    id stringrequired

    Pix trusted contact ID.

    created_at date-time

    Pix trusted contact created date.

Loading...